### Hierarchy

- EventEmitter
  - Http2Session
    - ClientHttp2Session
    - ServerHttp2Session

## Index

### Properties

- alpnProtocol
- closed
- connecting
- destroyed
- encrypted
- localSettings
- originSet
- pendingSettingsAck
- remoteSettings
- socket
- state
- type
- defaultMaxListeners

### Methods

- addListener
- close
- destroy
- emit
- eventNames
- getMaxListeners
- goaway
- listenerCount
- listeners
- off
- on
- once
- ping
- prependListener
- prependOnceListener
- priority
- rawListeners
- ref
- removeAllListeners
- removeListener
- rstStream
- setMaxListeners
- setTimeout
- settings
- unref
- listenerCount

## Properties

### Optional alpnProtocol

alpnProtocol: undefined | string

- Defined in node_modules/@types/node/http2.d.ts:256

### closed

closed: boolean

- Defined in node_modules/@types/node/http2.d.ts:258

### connecting

connecting: boolean

- Defined in node_modules/@types/node/http2.d.ts:259

### destroyed

destroyed: boolean

- Defined in node_modules/@types/node/http2.d.ts:261

### Optional encrypted

encrypted: undefined | false | true

- Defined in node_modules/@types/node/http2.d.ts:262

### localSettings

localSettings: Settings

- Defined in node_modules/@types/node/http2.d.ts:264

### Optional originSet

originSet: string[]

- Defined in node_modules/@types/node/http2.d.ts:265

### pendingSettingsAck

pendingSettingsAck: boolean

- Defined in node_modules/@types/node/http2.d.ts:266

### remoteSettings

remoteSettings: Settings

- Defined in node_modules/@types/node/http2.d.ts:270

### socket

socket: Socket | TLSSocket

- Defined in node_modules/@types/node/http2.d.ts:273

### state

state: SessionState

- Defined in node_modules/@types/node/http2.d.ts:274

### type

type: number

- Defined in node_modules/@types/node/http2.d.ts:277

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "close", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: "frameError", listener: function): this
- addListener(event: "goaway", listener: function): this
- addListener(event: "localSettings", listener: function): this
- addListener(event: "remoteSettings", listener: function): this
- addListener(event: "timeout", listener: function): this
- addListener(event: "ping", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:280

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:281

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:282

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:283

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number, streamID: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        - ##### streamID: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:284

  #### Parameters

  - ##### event: "goaway"

  - ##### listener: function

    - - (errorCode: number, lastStreamID: number, opaqueData: Buffer): void

      - #### Parameters

        - ##### errorCode: number

        - ##### lastStreamID: number

        - ##### opaqueData: Buffer

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:285

  #### Parameters

  - ##### event: "localSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:286

  #### Parameters

  - ##### event: "remoteSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:287

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/http2.d.ts:288

  #### Parameters

  - ##### event: "ping"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### close

- close(callback?: undefined | function): void

- - Defined in node_modules/@types/node/http2.d.ts:257

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### destroy

- destroy(error?: Error, code?: undefined | number): void

- - Defined in node_modules/@types/node/http2.d.ts:260

  #### Parameters

  - ##### Optional error: Error

  - ##### Optional code: undefined | number

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "close"): boolean
- emit(event: "error", err: Error): boolean
- emit(event: "frameError", frameType: number, errorCode: number, streamID: number): boolean
- emit(event: "goaway", errorCode: number, lastStreamID: number, opaqueData: Buffer): boolean
- emit(event: "localSettings", settings: Settings): boolean
- emit(event: "remoteSettings", settings: Settings): boolean
- emit(event: "timeout"): boolean
- emit(event: "ping"): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:290

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:291

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:292

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:293

  #### Parameters

  - ##### event: "frameError"

  - ##### frameType: number

  - ##### errorCode: number

  - ##### streamID: number

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:294

  #### Parameters

  - ##### event: "goaway"

  - ##### errorCode: number

  - ##### lastStreamID: number

  - ##### opaqueData: Buffer

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:295

  #### Parameters

  - ##### event: "localSettings"

  - ##### settings: Settings

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:296

  #### Parameters

  - ##### event: "remoteSettings"

  - ##### settings: Settings

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:297

  #### Parameters

  - ##### event: "timeout"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/http2.d.ts:298

  #### Parameters

  - ##### event: "ping"

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### goaway

- goaway(code?: undefined | number, lastStreamID?: undefined | number, opaqueData?: Buffer | DataView | TypedArray): void

- - Defined in node_modules/@types/node/http2.d.ts:263

  #### Parameters

  - ##### Optional code: undefined | number

  - ##### Optional lastStreamID: undefined | number

  - ##### Optional opaqueData: Buffer | DataView | TypedArray

  #### Returns void

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "close", listener: function): this
- on(event: "error", listener: function): this
- on(event: "frameError", listener: function): this
- on(event: "goaway", listener: function): this
- on(event: "localSettings", listener: function): this
- on(event: "remoteSettings", listener: function): this
- on(event: "timeout", listener: function): this
- on(event: "ping", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:300

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:301

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:302

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:303

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number, streamID: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        - ##### streamID: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:304

  #### Parameters

  - ##### event: "goaway"

  - ##### listener: function

    - - (errorCode: number, lastStreamID: number, opaqueData: Buffer): void

      - #### Parameters

        - ##### errorCode: number

        - ##### lastStreamID: number

        - ##### opaqueData: Buffer

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:305

  #### Parameters

  - ##### event: "localSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:306

  #### Parameters

  - ##### event: "remoteSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:307

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/http2.d.ts:308

  #### Parameters

  - ##### event: "ping"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "close", listener: function): this
- once(event: "error", listener: function): this
- once(event: "frameError", listener: function): this
- once(event: "goaway", listener: function): this
- once(event: "localSettings", listener: function): this
- once(event: "remoteSettings", listener: function): this
- once(event: "timeout", listener: function): this
- once(event: "ping", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:310

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:311

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:312

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:313

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number, streamID: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        - ##### streamID: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:314

  #### Parameters

  - ##### event: "goaway"

  - ##### listener: function

    - - (errorCode: number, lastStreamID: number, opaqueData: Buffer): void

      - #### Parameters

        - ##### errorCode: number

        - ##### lastStreamID: number

        - ##### opaqueData: Buffer

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:315

  #### Parameters

  - ##### event: "localSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:316

  #### Parameters

  - ##### event: "remoteSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:317

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/http2.d.ts:318

  #### Parameters

  - ##### event: "ping"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### ping

- ping(callback: function): boolean
- ping(payload: Buffer | DataView | TypedArray, callback: function): boolean

- - Defined in node_modules/@types/node/http2.d.ts:267

  #### Parameters

  - ##### callback: function

    - - (err: Error | null, duration: number, payload: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### duration: number

        - ##### payload: Buffer

        #### Returns void

  #### Returns boolean

- - Defined in node_modules/@types/node/http2.d.ts:268

  #### Parameters

  - ##### payload: Buffer | DataView | TypedArray

  - ##### callback: function

    - - (err: Error | null, duration: number, payload: Buffer): void

      - #### Parameters

        - ##### err: Error | null

        - ##### duration: number

        - ##### payload: Buffer

        #### Returns void

  #### Returns boolean

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "close", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: "frameError", listener: function): this
- prependListener(event: "goaway", listener: function): this
- prependListener(event: "localSettings", listener: function): this
- prependListener(event: "remoteSettings", listener: function): this
- prependListener(event: "timeout", listener: function): this
- prependListener(event: "ping", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:320

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:321

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:322

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:323

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number, streamID: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        - ##### streamID: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:324

  #### Parameters

  - ##### event: "goaway"

  - ##### listener: function

    - - (errorCode: number, lastStreamID: number, opaqueData: Buffer): void

      - #### Parameters

        - ##### errorCode: number

        - ##### lastStreamID: number

        - ##### opaqueData: Buffer

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:325

  #### Parameters

  - ##### event: "localSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:326

  #### Parameters

  - ##### event: "remoteSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:327

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/http2.d.ts:328

  #### Parameters

  - ##### event: "ping"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: "frameError", listener: function): this
- prependOnceListener(event: "goaway", listener: function): this
- prependOnceListener(event: "localSettings", listener: function): this
- prependOnceListener(event: "remoteSettings", listener: function): this
- prependOnceListener(event: "timeout", listener: function): this
- prependOnceListener(event: "ping", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:330

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:331

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:332

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:333

  #### Parameters

  - ##### event: "frameError"

  - ##### listener: function

    - - (frameType: number, errorCode: number, streamID: number): void

      - #### Parameters

        - ##### frameType: number

        - ##### errorCode: number

        - ##### streamID: number

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:334

  #### Parameters

  - ##### event: "goaway"

  - ##### listener: function

    - - (errorCode: number, lastStreamID: number, opaqueData: Buffer): void

      - #### Parameters

        - ##### errorCode: number

        - ##### lastStreamID: number

        - ##### opaqueData: Buffer

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:335

  #### Parameters

  - ##### event: "localSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:336

  #### Parameters

  - ##### event: "remoteSettings"

  - ##### listener: function

    - - (settings: Settings): void

      - #### Parameters

        - ##### settings: Settings

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:337

  #### Parameters

  - ##### event: "timeout"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/http2.d.ts:338

  #### Parameters

  - ##### event: "ping"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### priority

- priority(stream: Http2Stream, options: StreamPriorityOptions): void

- - Defined in node_modules/@types/node/http2.d.ts:275

  #### Parameters

  - ##### stream: Http2Stream

  - ##### options: StreamPriorityOptions

  #### Returns void

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### ref

- ref(): void

- - Defined in node_modules/@types/node/http2.d.ts:269

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rstStream

- rstStream(stream: Http2Stream, code?: undefined | number): void

- - Defined in node_modules/@types/node/http2.d.ts:271

  #### Parameters

  - ##### stream: Http2Stream

  - ##### Optional code: undefined | number

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setTimeout

- setTimeout(msecs: number, callback?: undefined | function): void

- - Defined in node_modules/@types/node/http2.d.ts:272

  #### Parameters

  - ##### msecs: number

  - ##### Optional callback: undefined | function

  #### Returns void

### settings

- settings(settings: Settings): void

- - Defined in node_modules/@types/node/http2.d.ts:276

  #### Parameters

  - ##### settings: Settings

  #### Returns void

### unref

- unref(): void

- - Defined in node_modules/@types/node/http2.d.ts:278

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc